Bug 32006 - KMS/R100 - [drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation -12!
Summary: KMS/R100 - [drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation -12!
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/R100 (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-30 12:01 UTC by Jared Clark
Modified: 2019-09-18 18:40 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Xorg log (37.36 KB, text/plain)
2010-11-30 17:47 UTC, dendron2000
Details
dmesg output (42.76 KB, text/plain)
2010-11-30 17:48 UTC, dendron2000
Details
dmesg output (47.11 KB, patch)
2010-12-01 04:56 UTC, Jared Clark
Details | Splinter Review
Xorg log (41.02 KB, text/plain)
2010-12-01 04:56 UTC, Jared Clark
Details
dmesg - new with the error (28.32 KB, text/plain)
2010-12-01 08:02 UTC, Jared Clark
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Clark 2010-11-30 12:01:18 UTC
Using an R100 [Mobility L7MY] Thinkpad R40, MESA drivers from Xorg-Edgers PPA, and kernel 2.6.37-rc3, I am receiving this error when running a game called "ToME 4" 

dmesg:

[drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation -12!

I had some errors before, regarding a texture not being bound to unit 0, but that was resolved after upgrading kernel and using PPA. 

I am not sure what other information I need to supply, I will happily do so if required.
Comment 1 Alex Deucher 2010-11-30 12:55:33 UTC
Please attach your xorg log and the dmesg output with the cs ioctl errors in it.
Comment 2 dendron2000 2010-11-30 17:46:59 UTC
I can confirm this, too. The bug appeared right after upgrading from kernel 2.6.35.6 to 2.6.36.1. KMS is used. Xorg and radeon drivers are from git, no other changes except kernel version.
Comment 3 dendron2000 2010-11-30 17:47:55 UTC
Created attachment 40683 [details]
Xorg log
Comment 4 dendron2000 2010-11-30 17:48:41 UTC
Created attachment 40684 [details]
dmesg output
Comment 5 Alex Deucher 2010-11-30 18:00:22 UTC
(In reply to comment #2)
> I can confirm this, too. The bug appeared right after upgrading from kernel
> 2.6.35.6 to 2.6.36.1. KMS is used. Xorg and radeon drivers are from git, no
> other changes except kernel version.

Can chance you could bisect what commit broke it?
Comment 6 Alex Deucher 2010-11-30 18:00:43 UTC
Any chance you could bisect what commit broke it?
Comment 7 Jared Clark 2010-12-01 04:56:13 UTC
Created attachment 40698 [details] [review]
dmesg output
Comment 8 Jared Clark 2010-12-01 04:56:51 UTC
Created attachment 40699 [details]
Xorg log
Comment 9 Jared Clark 2010-12-01 04:59:27 UTC
Unfortunately I was having several issues initially, differing output depending on what drivers and kernel combo I was using. This is currently a decently performing combo, but this crash is certainly repeatable. If any more info is needed I'll do my best to provide.
Comment 10 Jared Clark 2010-12-01 07:55:28 UTC
Sorry I just realized that dmesg I attached didn't have the pertinent failure in it for some reason. I will reproduce and attach a new one that has a different name.
Comment 11 Jared Clark 2010-12-01 08:02:52 UTC
Created attachment 40705 [details]
dmesg - new with the error
Comment 12 Philip Prindeville 2013-05-20 07:31:57 UTC
Is this issue still unresolved?

I'm running Fedora 18, with 3.8.11-200.fc18.x86_64 as the kernel, and:

xorg-x11-drivers-7.4-9.fc18.x86_64
xorg-x11-server-common-1.13.3-3.fc18.x86_64
xorg-x11-server-utils-7.5-16.fc18.x86_64
xorg-x11-server-Xephyr-1.13.3-3.fc18.x86_64
xorg-x11-server-Xorg-1.13.3-3.fc18.x86_64
xorg-x11-server-Xvfb-1.13.3-3.fc18.x86_64
xorg-x11-utils-7.5-7.fc18.x86_64
xorg-x11-drv-ati-7.0.0-0.9.20121015gitbd9e2c064.fc18.x86_64

I'm using an IOGear GCS1764 KVM. Don't know if that makes a difference.
Comment 13 Philip Prindeville 2013-05-20 07:36:03 UTC
Oh, and the hardware, if it matters:

02:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RV710 [Radeon HD 4350] (prog-if 00 [VGA controller])
	Subsystem: Hightech Information System Ltd. Device 2008
	Flags: bus master, fast devsel, latency 0, IRQ 43
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Memory at fbdf0000 (64-bit, non-prefetchable) [size=64K]
	I/O ports at c000 [size=256]
	Expansion ROM at fbdc0000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Legacy Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Kernel driver in use: radeon
Comment 14 Philip Prindeville 2013-05-20 21:45:05 UTC
Here's a screenshot showing RGB 'snow' as the background and random bits of backing store buffer at the bottom of both screens.

Note that both screens (HDMI-0 on the left and DVI-0 on the right) are on the Radeon 4350 card.

ftp://ftp.redfish-solutions.com/pub/Screenshot from 2013-05-20 14:42:55.png
Comment 15 Alex Deucher 2013-05-20 21:55:43 UTC
Please file a different bug.  The original report was for R1xx asics.  You have an R7xx asic.  Also, in the future, please attach files.  The link you provided doesn't work.
Comment 16 Philip Prindeville 2013-05-20 22:34:23 UTC
(In reply to comment #15)
> Please file a different bug.  The original report was for R1xx asics.  You
> have an R7xx asic.  Also, in the future, please attach files.  The link you
> provided doesn't work.

I tried to attach a screenshot but it was 12MB and the limit is 3MB.
Comment 17 GitLab Migration User 2019-09-18 18:40:08 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/276.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.